Subject: PMP> RE: Warnings compiling Finisher MIB using Mosy

From: "McDonald, Ira" <[email-masked]>
Date: Thu, 29 Nov 2001 11:57:22 -0500

Hi Ron and Ray,

These two bit-masks represent values of the Printer MIB v1/v2
objects 'prtMediaPathIndex' and 'prtOutputIndex', both of
which have a SYNTAX of 'Integer32 (1..65535)'.  A bit
array of 255 octets can represent '(1..2047)'.

I suggest that these objects be made exactly 63 octets
(like all the other strings in the Finisher MIB), so that
they can represent '(1..511)'.

I'm concerned that Ron's shorter suggested lengths may
actually break some existing implementation (of the
Printer and Finisher MIB).

Also, my email address at Xerox will be going away within
two weeks.  After that, folks can reach me by telephone only 
at 608-257-0466 (work/home in Madison, WI) until April 2002.

Cheers,
- Ira McDonald
  High North Inc

-----Original Message-----
From: Ray Casterline [mailto:[email-masked]]
Sent: Thursday, November 29, 2001 10:24 AM
To: Bergman, Ron
Cc: Ira McDonald (E-mail); [email-masked]; [email-masked];
[email-masked]
Subject: Re: Warnings compiling Finisher MIB using Mosy

Ron,

	Your definitions look fine.

	My only thought would be in the distributed printing
	environments (where multiple devices are chained together)
	that might get close to these numbers.  My experience isn't
	in this area so I can't say if these types of systems are
	viewed as a single "printer" or if they are each
	viewed separately.

	Also, as a side note.  My Xerox e-mail address will be going
	away shortly.

	I can be reached at my companies address at:
	[email-masked]

Regards,
Ray Casterline

"Bergman, Ron" wrote:
> 
> Ray,
> 
> Thanks for catching this.  I propose the following:
> 
>   for finDeviceAssociatedMediaPaths: (SIZE(1..8))
> This allows up to 64 unique media paths.
> 
>   for finDeviceAssociatedOutputs:  (SIZE(1..32))
> This allows up to 256 output subunits.
> 
> Does this seem to be too many or too few?  I believe that
> being on the high side is best, as long as it is not a
> completely unrealistic number.
> 
>         Ron
> 
> -----Original Message-----
> From: Ray Casterline [mailto:[email-masked]]
> Sent: Wednesday, November 28, 2001 9:24 AM
> To: Ron Bergman
> Cc: [email-masked]; [email-masked]
> Subject: Warnings compiling Finisher MIB using Mosy
> 
> Ron,
> 
>         Hello, I hope you had a nice Holiday.
> 
>         I was compiling the latest finisher mib and came across
>         the following warnings:
> 
>         mosy 7.1 #1 (fileserver) of Mon Aug 14 14:50:20 EDT 1995
>         object finDeviceAssociatedMediaPaths:
>             warning: OCTET STRING should have SIZE constraint
>         object finDeviceAssociatedOutputs:
>             warning: OCTET STRING should have SIZE constraint
> 
> Regards,
> Ray Casterline